# EspoCRM

## Description

EspoCRM is a lightweight, open‑source Customer Relationship Management platform that helps you manage leads, accounts, opportunities and post‑sale support in a single, web‑based interface.  
This Ansible role deploys EspoCRM with Docker, mirroring the structure of the Mastodon role for a consistent operations workflow.

## Overview
- **Sales Pipeline & Activities Stream** – track every interaction and schedule follow‑ups.
- **Workflow & BPM** – automate routine tasks and notifications.
- **Extensible Authentication** – native LDAP and OpenID Connect (OIDC) login support.
- **Containerised Architecture** – separate services for the web application, cron jobs and an upstream MySQL/MariaDB database.

For detailed instructions see:
- [Installation.md](./Installation.md)  
- [Administration.md](./Administration.md)
